summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-02-19 13:56:25 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-02-19 14:01:21 +0100
commit2ff619ad9bd4fb8a0f46f184c4d802d592ec84f1 (patch)
treef5e8111313ee09df98459d705a405446cc6736e0 /dev-python/pyquery
parentkde-frameworks/kactivities: Fix dolphin context menu crash (diff)
downloadgentoo-2ff619ad9bd4fb8a0f46f184c4d802d592ec84f1.tar.gz
gentoo-2ff619ad9bd4fb8a0f46f184c4d802d592ec84f1.tar.bz2
gentoo-2ff619ad9bd4fb8a0f46f184c4d802d592ec84f1.zip
dev-python/pyquery: Bump
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-python/pyquery')
-rw-r--r--dev-python/pyquery/Manifest1
-rw-r--r--dev-python/pyquery/pyquery-1.2.11.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/pyquery/Manifest b/dev-python/pyquery/Manifest
index 739b3fdfae5..80191f2a53c 100644
--- a/dev-python/pyquery/Manifest
+++ b/dev-python/pyquery/Manifest
@@ -1,3 +1,4 @@
+DIST pyquery-1.2.11.tar.gz 43556 SHA256 4a832ba73bfba03486f5445c75993a26bf62d38d26ff5fcfbde06a7bd0087fc6 SHA512 56ee20e0aefdd290069151d5085a876d6502a226ced72bd43e3e88572f31eecee7abecf4bdd38a1a17685021328963e9fe45eaaac121dc880bcb6ba74b8df12d WHIRLPOOL 70efeec9e2c3b28656c2af8221c4e74794b3799ddddffc8d1e3bb4dd43e70ca8c932966d9e332fcfcb8df7b3f342c70b8cb11b8b1cc8354e9d88294053174f1c
DIST pyquery-1.2.4.tar.gz 23999 SHA256 1c39f786c42430279eadf787f1ef06873f15c9acba2698c23dfd925ac7b169d7 SHA512 77ec2efab157f693361e1dcbeabd7cac0709d3a8a25b6c47eb333be49c1485c7fa50b4fd9238bfff69657368130c2886cf6e0705415bdf1b48dc434365539c29 WHIRLPOOL 3fece4f710d69a0b57ab858f759196b269984a38af568003f7280215763c67b1e229feaf80f27b359a5da923248a11335026af4de85806ea6fc969c61c197685
DIST pyquery-1.2.8.zip 42552 SHA256 59af39301bad397e085e5080987f94ef30672f1cf8e73d19d3307b3b63c3cb4b SHA512 9d344a5c4b0dd565e31c803ceecb217c71f9a70badbc65f9fcfb4a2cccb725a1bf938ed0b1697dcfdf0ec967321dccc1916a884ffdb0af9828a65005f63c47d7 WHIRLPOOL 5c98c3e7584d429a7c9bca564aac04e5dc6f579265aa9b8b768e167cdfcc57758b0d728b3102a56af75fa6ea838a6c1927e733a5171d3266574ba2b34ee85209
DIST pyquery-1.2.9.zip 45289 SHA256 46c51eb878b787e814ee8f9737b0a62111034aeb4d1c06450ac5a8ea5a70e602 SHA512 f5152b471c896b39032add6a7f0e6ce63f426b4903bc7cf9eef12723c73453b40c310dd1497a7c4189fc6faaf804690fd91fb6d2f97fb6c4d6314682de4b8d05 WHIRLPOOL a57bb04402a3a8af98e7073d2b4e415a3e455bb67b4dc946831832f24339fe29fcd560123651abb3ae38c4ee9da3973638d27e064122702c0d1dd63d971fb67b
diff --git a/dev-python/pyquery/pyquery-1.2.11.ebuild b/dev-python/pyquery/pyquery-1.2.11.ebuild
new file mode 100644
index 00000000000..08cb9c610c3
--- /dev/null
+++ b/dev-python/pyquery/pyquery-1.2.11.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A jQuery-like library for python"
+HOMEPAGE="https://github.com/gawel/pyquery"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/lxml-2.1[${PYTHON_USEDEP}]
+ >dev-python/cssselect-0.7.9[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.1.9[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ app-arch/unzip
+ test? ( ${RDEPEND}
+ dev-python/beautifulsoup:python-2[$(python_gen_usedep 'python2*')]
+ dev-python/beautifulsoup:python-3[$(python_gen_usedep 'python3*')]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/webtest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/restkit[${PYTHON_USEDEP}]' 'python2_7') )"
+
+python_test() {
+ # The suite, it appears, requires this hard setting of PYTHONPATH!
+ PYTHONPATH=. nosetests || die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "Support for BeautifulSoup3 as a parser backend" dev-python/beautifulsoup
+}